SoftRAID Pro, Lite, and XT

RAID software to manage, monitor, and protect your data on Macs and PCs.

SoftRAID works with macOS 10.12 or later and Windows 10. SoftRAID 6.2 is required for macOS 12 Monterey. Apple silicon (M1) Macs require macOS 11.3 and later. SoftRAID XT is only for select OWC storage solutions. For both OWC and third-party enclosure support, you will need SoftRAID Pro or Lite. RAID 4/5/1+0 (10) are currently Mac only at this time.

SoftRAID Upgrade

Own previous version of SoftRAID. We offer several upgrade options to move the all-new SoftRAID 6.

Need another seat?

Want to run SoftRAID on additional computers – Mac or PC? Purchase another seat for a discounted price.